## can-utils 0.0+git20140227

=== Makefile ===
#
#  Copyright (c) 2002-2005 Volkswagen Group Electronic Research
#  All rights reserved.
#
#  Redistribution and use in source and binary forms, with or without
#  modification, are permitted provided that the following conditions
#  are met:
#  1. Redistributions of source code must retain the above copyright
#     notice, this list of conditions, the following disclaimer and
#     the referenced file 'COPYING'.
#  2. Redistributions in binary form must reproduce the above copyright
#     notice, this list of conditions and the following disclaimer in the
#     documentation and/or other materials provided with the distribution.
#  3. Neither the name of Volkswagen nor the names of its contributors
#     may be used to endorse or promote products derived from this software
#     without specific prior written permission.
#
#  Alternatively, provided that this notice is retained in full, this
#  software may be distributed under the terms of the GNU General
#  Public License ("GPL") version 2 as distributed in the 'COPYING'
#  file from the main directory of the linux kernel source.
#
#  The provided data structures and external interfaces from this code
#  are not restricted to be used by modules with a GPL compatible license.
#
#  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
#  "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
#  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
#  A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
#  OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
#  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
#  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
#  DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
#  THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
#  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
#  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH
#  DAMAGE.
#
#  Send feedback to <linux-can@vger.kernel.org>

DESTDIR ?=
PREFIX ?= /usr/local

MAKEFLAGS = -k

CFLAGS    = -O2 -Wall -Wno-parentheses \
	    -fno-strict-aliasing

CPPFLAGS += -Iinclude \
	    -D_FILE_OFFSET_BITS=64 \
	    -DSO_RXQ_OVFL=40 \
	    -DPF_CAN=29 \
	    -DAF_CAN=PF_CAN

PROGRAMS_ISOTP = isotpdump isotprecv isotpsend isotpsniffer isotptun isotpserver
PROGRAMS_CANGW = cangw
PROGRAMS_SLCAN = slcan_attach slcand
PROGRAMS = can-calc-bit-timing candump cansniffer cansend canplayer cangen canbusload\
	   log2long log2asc asc2log\
	   canlogserver bcmserver\
	   $(PROGRAMS_ISOTP)\
	   $(PROGRAMS_CANGW)\
	   $(PROGRAMS_SLCAN)\
	   slcanpty canfdtest

all: $(PROGRAMS)

clean:
	rm -f $(PROGRAMS) *.o

install:
	mkdir -p $(DESTDIR)$(PREFIX)/bin
	cp -f $(PROGRAMS) $(DESTDIR)$(PREFIX)/bin

distclean:
	rm -f $(PROGRAMS) *.o *~

cansend.o:	lib.h
cangen.o:	lib.h
candump.o:	lib.h
canplayer.o:	lib.h
canlogserver.o:	lib.h
canbusload.o:	lib.h
log2long.o:	lib.h
log2asc.o:	lib.h
asc2log.o:	lib.h
canframelen.o:  canframelen.h

cansend:	cansend.o	lib.o
cangen:		cangen.o	lib.o
candump:	candump.o	lib.o
canplayer:	canplayer.o	lib.o
canlogserver:	canlogserver.o	lib.o
log2long:	log2long.o	lib.o
log2asc:	log2asc.o	lib.o
asc2log:	asc2log.o	lib.o
canbusload:	canbusload.o	canframelen.o

=== debian/changelog ===
can-utils (0.0+git20140227-1) unstable; urgency=low

  * Initial package release (Closes: #568303).
    Thanks to Markus Becker <mab@comnets.uni-bremen.de> and
    Uwe Kleine-König <u.kleine-koenig@pengutronix.de> for contribution.

 -- Alexander GQ Gerasiov <gq@debian.org>  Wed, 05 Mar 2014 18:12:33 +0400

=== debian/control ===
Source: can-utils
Section: net
Priority: optional
Maintainer: Alexander GQ Gerasiov <gq@debian.org>
Build-Depends: debhelper (>= 9.0.0), dh-autoreconf
Standards-Version: 3.9.5
Homepage: https://gitorious.org/linux-can
Vcs-Git: git://git.debian.org/collab-maint/can-utils.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/can-utils.git;a=summary

Package: can-utils
Architecture: linux-any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: SocketCAN userspace utilities and tools
 CAN is a message-based network protocol designed for vehicles originally
 initially created by Robert Bosch GmbH. SocketCAN is a set of open source CAN
 drivers and a networking stack contributed by Volkswagen Research to the
 Linux kernel.
 .
 This package contains some userspace utilities for Linux SocketCAN subsystem:
 asc2log, bcmserver, canbusload, can-calc-bit-timing, candump, canfdtest,
 cangen, cangw, canlogserver, canplayer, cansend, cansniffer, isotpdump,
 isotprecv, isotpsend, isotpserver, isotpsniffer, isotptun, log2asc, log2long,
 slcan_attach, slcand and slcanpty.

## can-utils 0.0+git20141123

=== debian/changelog ===
can-utils (0.0+git20141123-1) unstable; urgency=medium

  * Update to upstream git 20141123.

 -- Alexander GQ Gerasiov <gq@debian.org>  Sun, 07 Dec 2014 01:46:30 +0300

## can-utils 0.0+git20150204

=== debian/changelog ===
can-utils (0.0+git20150204-1) unstable; urgency=medium

  * Update to upstream git 20150204.
  * debian/copyright: Add copyright for isotpperf.c.
  * debian/copyright: Add missing disclaimer to BSD-3-clause license.
  * debian/control: Bump standard's version: no changes needed.
  * debian/control: Vcs-*: Fix links to alioth.
  * debian/control: Add isotpperf to description.

 -- Alexander GQ Gerasiov <gq@debian.org>  Mon, 23 Feb 2015 12:12:20 +0300

=== debian/control ===
--- 
+++ 
@@ -3,10 +3,10 @@
 Priority: optional
 Maintainer: Alexander GQ Gerasiov <gq@debian.org>
 Build-Depends: debhelper (>= 9.0.0), dh-autoreconf
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: https://gitorious.org/linux-can
-Vcs-Git: git://git.debian.org/collab-maint/can-utils.git
-Vcs-Browser: http://git.debian.org/?p=collab-maint/can-utils.git;a=summary
+Vcs-Git: git://anonscm.debian.org/collab-maint/can-utils.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/can-utils.git;a=summary
 
 Package: can-utils
 Architecture: linux-any
@@ -20,5 +20,5 @@
  This package contains some userspace utilities for Linux SocketCAN subsystem:
  asc2log, bcmserver, canbusload, can-calc-bit-timing, candump, canfdtest,
  cangen, cangw, canlogserver, canplayer, cansend, cansniffer, isotpdump,
- isotprecv, isotpsend, isotpserver, isotpsniffer, isotptun, log2asc, log2long,
- slcan_attach, slcand and slcanpty.
+ isotprecv, isotpperf, isotpsend, isotpserver, isotpsniffer, isotptun, log2asc,
+ log2long, slcan_attach, slcand and slcanpty.

## can-utils 0.0+git20150507

=== debian/changelog ===
can-utils (0.0+git20150507-1) unstable; urgency=medium

  * Update to upstream git 20150507.
  * Updated upsteam's urls to github.

 -- Alexander GQ Gerasiov <gq@debian.org>  Wed, 27 May 2015 02:55:05 +0300

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Alexander GQ Gerasiov <gq@debian.org>
 Build-Depends: debhelper (>= 9.0.0), dh-autoreconf
 Standards-Version: 3.9.6
-Homepage: https://gitorious.org/linux-can
+Homepage: https://github.com/linux-can/can-utils
 Vcs-Git: git://anonscm.debian.org/collab-maint/can-utils.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/can-utils.git;a=summary

## can-utils 0.0+git20150902

=== Makefile ===
--- 
+++ 
@@ -52,7 +52,7 @@
 	    -DPF_CAN=29 \
 	    -DAF_CAN=PF_CAN
 
-PROGRAMS_ISOTP = isotpdump isotprecv isotpsend isotpsniffer isotptun isotpserver
+PROGRAMS_ISOTP = isotpdump isotprecv isotpsend isotpsniffer isotptun isotpserver isotpperf
 PROGRAMS_CANGW = cangw
 PROGRAMS_SLCAN = slcan_attach slcand
 PROGRAMS = can-calc-bit-timing candump cansniffer cansend canplayer cangen canbusload\

=== debian/changelog ===
can-utils (0.0+git20150902-1) unstable; urgency=medium

  * Update to upstream git 20150902.
  * debian/copyright: Add README.md.
  * debian/control: Fix spelling.

 -- Alexander GQ Gerasiov <gq@debian.org>  Mon, 14 Sep 2015 15:21:18 +0300

=== debian/control ===
--- 
+++ 
@@ -13,9 +13,8 @@
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: SocketCAN userspace utilities and tools
  CAN is a message-based network protocol designed for vehicles originally
- initially created by Robert Bosch GmbH. SocketCAN is a set of open source CAN
- drivers and a networking stack contributed by Volkswagen Research to the
- Linux kernel.
+ created by Robert Bosch GmbH. SocketCAN is a set of open source CAN drivers
+ and a networking stack contributed by Volkswagen Research to the Linux kernel.
  .
  This package contains some userspace utilities for Linux SocketCAN subsystem:
  asc2log, bcmserver, canbusload, can-calc-bit-timing, candump, canfdtest,

=== debian/rules ===
#!/usr/bin/make -f
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --with autoreconf

## can-utils 0.0+git20160831

=== debian/changelog ===
can-utils (0.0+git20160831-1) unstable; urgency=medium

  * Update to upstream git 20160831.
  * debian/rules: Remove config.log on clean.
  * debian/control: Bump standard's version, no changes needed.

 -- Alexander GQ Gerasiov <gq@debian.org>  Mon, 19 Sep 2016 16:36:37 +0300

## can-utils 0.0+git20161220

=== debian/changelog ===
can-utils (0.0+git20161220-1) unstable; urgency=medium

  * Update to upstream git 20161220.
  * README.Debian: Typo fixed.

 -- Alexander GQ Gerasiov <gq@debian.org>  Thu, 05 Jan 2017 12:10:44 +0300

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Alexander GQ Gerasiov <gq@debian.org>
 Build-Depends: debhelper (>= 9.0.0), dh-autoreconf
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: https://github.com/linux-can/can-utils
 Vcs-Git: git://anonscm.debian.org/collab-maint/can-utils.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/can-utils.git;a=summary

=== debian/rules ===
--- 
+++ 
@@ -4,3 +4,7 @@
 
 %:
 	dh $@ --with autoreconf
+
+override_dh-clean:
+	rm -rf config.log
+	dh-clean $@

## can-utils 0.0+git20170830

=== debian/changelog ===
can-utils (0.0+git20170830-1) unstable; urgency=medium

  * Update to upstream git 20170830.
  * debian/control: Update description.
  * Bump Standards-Version to 4.1.1 (no additional changes needed).
  * debian/docs: Install README.md.
  * debian/.gitignore: Add debhelper-build-stamp.
  * debian/README.Debian: Remove link to dead berlios SVN.

 -- Alexander GQ Gerasiov <gq@debian.org>  Mon, 23 Oct 2017 14:08:46 +0300

=== debian/control ===
Source: can-utils
Section: net
Priority: optional
Maintainer: Alexander GQ Gerasiov <gq@debian.org>
Build-Depends: debhelper (>= 9.0.0), dh-autoreconf
Standards-Version: 4.1.1
Homepage: https://github.com/linux-can/can-utils
Vcs-Git: git://anonscm.debian.org/collab-maint/can-utils.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/can-utils.git;a=summary

Package: can-utils
Architecture: linux-any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: SocketCAN userspace utilities and tools
 CAN is a message-based network protocol designed for vehicles originally
 created by Robert Bosch GmbH. SocketCAN is a set of open source CAN drivers
 and a networking stack contributed by Volkswagen Research to the Linux kernel.
 .
 This package contains some userspace utilities for Linux SocketCAN subsystem.
 .
 Basic tools to display, record, generate and replay CAN traffic:
 candump, canplayer, cansend, cangen, cansniffer.
 CAN access via IP sockets: canlogserver, bcmserver, socketcand.
 CAN in-kernel gateway configuration: cangw.
 CAN bus measurement and testing: canbusload, can-calc-bit-timing, canfdtest.
 ISO-TP (ISO 15765-2 2016) tools: isotpsend, isotprecv, isotpsniffer,
 isotpdump, isotpserver, isotpperf, isotptun.
 CAN log file converters: asc2log, log2asc, log2long.
 CAN Serial Line Discipline configuration (for slcan driver):
 slcan_attach, slcand, slcanpty.

## can-utils 2018.02.0

=== Makefile ===
--- 
+++ 
@@ -43,24 +43,26 @@
 
 MAKEFLAGS = -k
 
-CFLAGS    = -O2 -Wall -Wno-parentheses \
-	    -fno-strict-aliasing
+CFLAGS    = -O2 -Wall -Wno-parentheses
 
 CPPFLAGS += -Iinclude \
 	    -D_FILE_OFFSET_BITS=64 \
 	    -DSO_RXQ_OVFL=40 \
 	    -DPF_CAN=29 \
-	    -DAF_CAN=PF_CAN
+	    -DAF_CAN=PF_CAN \
+	    -D_GNU_SOURCE
 
 PROGRAMS_ISOTP = isotpdump isotprecv isotpsend isotpsniffer isotptun isotpserver isotpperf
 PROGRAMS_CANGW = cangw
 PROGRAMS_SLCAN = slcan_attach slcand
+PROGRAMS_J1939 = jacd jspy jsr testj1939
 PROGRAMS = can-calc-bit-timing candump cansniffer cansend canplayer cangen canbusload\
 	   log2long log2asc asc2log\
 	   canlogserver bcmserver\
 	   $(PROGRAMS_ISOTP)\
 	   $(PROGRAMS_CANGW)\
 	   $(PROGRAMS_SLCAN)\
+	   $(PROGRAMS_J1939)\
 	   slcanpty canfdtest
 
 all: $(PROGRAMS)
@@ -73,7 +75,7 @@
 	cp -f $(PROGRAMS) $(DESTDIR)$(PREFIX)/bin
 
 distclean:
-	rm -f $(PROGRAMS) *.o *~
+	rm -f $(PROGRAMS) $(LIBRARIES) *.o *~
 
 cansend.o:	lib.h
 cangen.o:	lib.h
@@ -84,6 +86,10 @@
 log2long.o:	lib.h
 log2asc.o:	lib.h
 asc2log.o:	lib.h
+jacd.o:		libj1939.h
+jspy.o:		libj1939.h
+jsr.o:		libj1939.h
+testj1939.o:	libj1939.h
 canframelen.o:  canframelen.h
 
 cansend:	cansend.o	lib.o
@@ -95,3 +101,7 @@
 log2asc:	log2asc.o	lib.o
 asc2log:	asc2log.o	lib.o
 canbusload:	canbusload.o	canframelen.o
+jacd:		jacd.o		libj1939.o
+jspy:		jspy.o		libj1939.o
+jsr:		jsr.o		libj1939.o
+testj1939:	testj1939.o	libj1939.o

=== debian/changelog ===
can-utils (2018.02.0-1) unstable; urgency=medium

  * New upstream release 2018.02.0 (Closes: #890090)
  * debian/gbp.conf: Upstream now uses tags.
  * Add debian/watch.
  * debian/copyright: Updated to v2018.02.0
  * debian/patches: Patchset updated to last upstream release.
  * debian/control, debian/rules: Ship new binary testj1939.
  * debian/docs: Install all .md files. (New in this release are can-j1939
    related.)

 -- Alexander GQ Gerasiov <gq@debian.org>  Sun, 11 Feb 2018 22:16:49 +0300

can-utils (0.0+git20180118-1) unstable; urgency=medium

  * Update to upstream git 20180118.
  * debian/copyright: Add records for new files.
  * debian/copyright: Reorder records.
  * debian/control: Mention new SAE J1939-related tools in description.
  * debian/patches: Add various patches to make help/usage output compatible
    with help2man.
  * Build and install manpages using help2man.
  * debian/control: Move repository to salsa.
  * Bump Standards-Version to 4.1.3 (no additional changes needed).

 -- Alexander GQ Gerasiov <gq@debian.org>  Sun, 11 Feb 2018 20:31:09 +0300

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,11 @@
 Section: net
 Priority: optional
 Maintainer: Alexander GQ Gerasiov <gq@debian.org>
-Build-Depends: debhelper (>= 9.0.0), dh-autoreconf
-Standards-Version: 4.1.1
+Build-Depends: debhelper (>= 9.0.0), dh-autoreconf, help2man
+Standards-Version: 4.1.3
 Homepage: https://github.com/linux-can/can-utils
-Vcs-Git: git://anonscm.debian.org/collab-maint/can-utils.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/can-utils.git;a=summary
+Vcs-Git: https://salsa.debian.org/debian/can-utils.git
+Vcs-Browser: https://salsa.debian.org/debian/can-utils.git
 
 Package: can-utils
 Architecture: linux-any
@@ -28,3 +28,4 @@
  CAN log file converters: asc2log, log2asc, log2long.
  CAN Serial Line Discipline configuration (for slcan driver):
  slcan_attach, slcand, slcanpty.
+ SAE J1939 tools and demo: jacd, jspy, jsr, testj1939.

=== debian/rules ===
#!/usr/bin/make -f
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

HELP2MAN = help2man
PACKAGE_VERSION = $(shell dpkg-parsechangelog | awk '/^Version:/ {print $$2}')

#bcmserver and log2long do not have -? option
PROGRAMS = asc2log canbusload can-calc-bit-timing candump canfdtest \
cangen cangw canlogserver canplayer cansend cansniffer \
isotpdump isotpperf isotprecv isotpsend isotpserver isotpsniffer isotptun \
jacd jspy jsr testj1939 \
log2asc \
slcan_attach slcand slcanpty

MANPAGES = $(PROGRAMS:%=%.1)

%.1: %
	$(HELP2MAN) --no-info --no-discard-stderr --help-option="-?" --version-string="$< $(PACKAGE_VERSION)" ./$< > $@

%:
	dh $@ --with autoreconf

override_dh_auto_clean:
	rm -f $(MANPAGES)
	dh_auto_clean $@

override_dh_auto_install: $(MANPAGES)
	dh_installman $(MANPAGES)
	dh_auto_install $@

## can-utils 2020.02.04

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.3)

project(can-utils LANGUAGES C)

include (GNUInstallDirs)

if(NOT CMAKE_BUILD_TYPE)
  set(CMAKE_BUILD_TYPE Release)
endif()

if ("${CMAKE_C_COMPILER_ID}" STREQUAL "GNU")
  add_definitions(-D_GNU_SOURCE)
endif()

set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wall -Wno-parentheses")
set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -fno-strict-aliasing")
set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -DSO_RXQ_OVFL=40")
set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -DPF_CAN=29")
set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -DAF_CAN=PF_CAN")
set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -DN_SLCAN=17")
set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -DSCM_TIMESTAMPING_OPT_STATS=54")

include_directories (.)
include_directories (./include)

set(PROGRAMS_CANLIB
    asc2log
    canbusload
    candump
    cangen
    canlogserver
    canplayer
    cansend
    log2asc
    log2long
)

set(PROGRAMS_J1939
    jacd
    jcat
    jspy
    jsr
    testj1939
)

set(PROGRAMS
    ${PROGRAMS_CANLIB}
    bcmserver
    can-calc-bit-timing
    canfdtest
    cangw
    cansniffer
    isotpdump
    isotpperf
    isotprecv
    isotpsend
    isotpserver
    isotpsniffer
    isotptun
    slcan_attach
    slcand
    slcanpty
)

if(NOT ANDROID)
  list(APPEND PROGRAMS ${PROGRAMS_J1939})

  add_library(j1939 STATIC
      libj1939.c
  )
endif()

add_library(can STATIC
    lib.c
    canframelen.c
)

foreach(name ${PROGRAMS})
  add_executable(${name} ${name}.c)

  if("${name}" IN_LIST PROGRAMS_J1939)
    target_link_libraries(${name}
        PRIVATE j1939
    )
  elseif("${name}" IN_LIST PROGRAMS_CANLIB)
    target_link_libraries(${name}
        PRIVATE can
    )
  endif()

  install(TARGETS ${name} DESTINATION ${CMAKE_INSTALL_BINDIR})
endforeach()


ADD_CUSTOM_TARGET(uninstall "${CMAKE_COMMAND}" -P "${CMAKE_SOURCE_DIR}/cmake/make_uninstall.cmake")

=== debian/changelog ===
can-utils (2020.02.04-3) unstable; urgency=medium

  * Add debian/NEWS about j* rename.
  * Update d/rules and d/control according to renames.

 -- Alexander GQ Gerasiov <gq@debian.org>  Mon, 27 Apr 2020 08:41:24 +0300

can-utils (2020.02.04-2) unstable; urgency=medium

  * Add debian/patches/0001-Rename-j-to-j1939-1.patch (Closes: #956530).

 -- Alexander GQ Gerasiov <gq@debian.org>  Mon, 27 Apr 2020 08:15:57 +0300

can-utils (2020.02.04-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field

  [ Alexander GQ Gerasiov ]
  * New upstream release (Closes: #956314)
  * debian/patches: Updated to new version.
  * Add 0000-debian-build-fixup.patch: search for headers in system first.
  * d/control, d/rules: New binary jcat.
  * d/control: Bump debhelper version.
  * Add 0000-remove-readme-logo.patch: Remove external image from README.md.
  * d/copyright: Updated according to new version changes.
  * d/control: Remove useless dh-autoreconf B-D.

 -- Alexander GQ Gerasiov <gq@debian.org>  Sat, 11 Apr 2020 16:26:41 +0300

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: net
 Priority: optional
 Maintainer: Alexander GQ Gerasiov <gq@debian.org>
-Build-Depends: debhelper (>= 9.0.0), dh-autoreconf, help2man
+Build-Depends: debhelper-compat (= 12), help2man
 Standards-Version: 4.1.3
 Homepage: https://github.com/linux-can/can-utils
 Vcs-Git: https://salsa.debian.org/debian/can-utils.git
@@ -28,4 +28,4 @@
  CAN log file converters: asc2log, log2asc, log2long.
  CAN Serial Line Discipline configuration (for slcan driver):
  slcan_attach, slcand, slcanpty.
- SAE J1939 tools and demo: jacd, jspy, jsr, testj1939.
+ SAE J1939 tools and demo: j1939acd, j1939cat, j1939spy, j1939sr, testj1939.

=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,7 @@
 PROGRAMS = asc2log canbusload can-calc-bit-timing candump canfdtest \
 cangen cangw canlogserver canplayer cansend cansniffer \
 isotpdump isotpperf isotprecv isotpsend isotpserver isotpsniffer isotptun \
-jacd jspy jsr testj1939 \
+j1939acd j1939cat j1939spy j1939sr testj1939 \
 log2asc \
 slcan_attach slcand slcanpty

## can-utils 2020.11.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,13 +2,15 @@
 
 project(can-utils LANGUAGES C)
 
+include (CheckSymbolExists)
 include (GNUInstallDirs)
 
 if(NOT CMAKE_BUILD_TYPE)
   set(CMAKE_BUILD_TYPE Release)
 endif()
 
-if ("${CMAKE_C_COMPILER_ID}" STREQUAL "GNU")
+check_symbol_exists(__GNU_LIBRARY__ "features.h" _GNU_SOURCE)
+if(_GNU_SOURCE)
   add_definitions(-D_GNU_SOURCE)
 endif()
 
@@ -31,15 +33,16 @@
     canlogserver
     canplayer
     cansend
+    cansequence
     log2asc
     log2long
 )
 
 set(PROGRAMS_J1939
-    jacd
-    jcat
-    jspy
-    jsr
+    j1939acd
+    j1939cat
+    j1939spy
+    j1939sr
     testj1939
 )

=== Makefile ===
--- 
+++ 
@@ -41,29 +41,62 @@
 DESTDIR ?=
 PREFIX ?= /usr/local
 
-MAKEFLAGS = -k
+MAKEFLAGS := -k
 
-CFLAGS    = -O2 -Wall -Wno-parentheses
+CFLAGS := -O2 -Wall -Wno-parentheses
 
-CPPFLAGS += -Iinclude \
-	    -D_FILE_OFFSET_BITS=64 \
-	    -DSO_RXQ_OVFL=40 \
-	    -DPF_CAN=29 \
-	    -DAF_CAN=PF_CAN \
-	    -D_GNU_SOURCE
+CPPFLAGS += \
+	-Iinclude \
+	-DAF_CAN=PF_CAN \
+	-DPF_CAN=29 \
+	-DSO_RXQ_OVFL=40 \
+	-DSCM_TIMESTAMPING_OPT_STATS=54 \
+	-D_FILE_OFFSET_BITS=64 \
+	-D_GNU_SOURCE
 
-PROGRAMS_ISOTP = isotpdump isotprecv isotpsend isotpsniffer isotptun isotpserver isotpperf
-PROGRAMS_CANGW = cangw
-PROGRAMS_SLCAN = slcan_attach slcand
-PROGRAMS_J1939 = jacd jspy jsr testj1939
-PROGRAMS = can-calc-bit-timing candump cansniffer cansend canplayer cangen canbusload\
-	   log2long log2asc asc2log\
-	   canlogserver bcmserver\
-	   $(PROGRAMS_ISOTP)\
-	   $(PROGRAMS_CANGW)\
-	   $(PROGRAMS_SLCAN)\
-	   $(PROGRAMS_J1939)\
-	   slcanpty canfdtest
+PROGRAMS_CANGW := \
+	cangw
+
+PROGRAMS_ISOTP := \
+	isotpdump \
+	isotpperf \
+	isotprecv \
+	isotpsend \
+	isotpserver \
+	isotpsniffer \
+	isotptun
+
+PROGRAMS_J1939 := \
+	j1939acd \
+	j1939cat \
+	j1939spy \
+	j1939sr \
+	testj1939
+
+PROGRAMS_SLCAN := \
+	slcan_attach \
+	slcand
+
+PROGRAMS := \
+	$(PROGRAMS_CANGW) \
+	$(PROGRAMS_ISOTP) \
+	$(PROGRAMS_J1939) \
+	$(PROGRAMS_SLCAN) \
+	asc2log \
+	bcmserver \
+	can-calc-bit-timing \
+	canbusload \
+	candump \
+	canfdtest \
+	cangen \
+	cansequence \
+	canlogserver \
+	canplayer \
+	cansend \
+	cansniffer \
+	log2asc \
+	log2long \
+	slcanpty
 
 all: $(PROGRAMS)
 
@@ -77,31 +110,35 @@
 distclean:
 	rm -f $(PROGRAMS) $(LIBRARIES) *.o *~
 
+asc2log.o:	lib.h
+canbusload.o:	lib.h
+candump.o:	lib.h
+cangen.o:	lib.h
+canlogserver.o:	lib.h
+canplayer.o:	lib.h
 cansend.o:	lib.h
-cangen.o:	lib.h
-candump.o:	lib.h
-canplayer.o:	lib.h
-canlogserver.o:	lib.h
-canbusload.o:	lib.h
+cansequence.o:	lib.h
+log2asc.o:	lib.h
 log2long.o:	lib.h
-log2asc.o:	lib.h
-asc2log.o:	lib.h
-jacd.o:		libj1939.h
-jspy.o:		libj1939.h
-jsr.o:		libj1939.h
+j1939acd.o:	libj1939.h
+j1939cat.o:	libj1939.h
+j1939spy.o:	libj1939.h
+j1939sr.o:	libj1939.h
 testj1939.o:	libj1939.h
 canframelen.o:  canframelen.h
 
+asc2log:	asc2log.o	lib.o
+candump:	candump.o	lib.o
+cangen:		cangen.o	lib.o
+canlogserver:	canlogserver.o	lib.o
+canplayer:	canplayer.o	lib.o
 cansend:	cansend.o	lib.o
-cangen:		cangen.o	lib.o
-candump:	candump.o	lib.o
-canplayer:	canplayer.o	lib.o
-canlogserver:	canlogserver.o	lib.o
+cansequence:	cansequence.o	lib.o
+log2asc:	log2asc.o	lib.o
 log2long:	log2long.o	lib.o
-log2asc:	log2asc.o	lib.o
-asc2log:	asc2log.o	lib.o
+j1939acd:	j1939acd.o	libj1939.o
+j1939cat:	j1939cat.o	libj1939.o
+j1939spy:	j1939spy.o	libj1939.o
+j1939sr:	j1939sr.o	libj1939.o
+testj1939:	testj1939.o	libj1939.o
 canbusload:	canbusload.o	canframelen.o
-jacd:		jacd.o		libj1939.o
-jspy:		jspy.o		libj1939.o
-jsr:		jsr.o		libj1939.o
-testj1939:	testj1939.o	libj1939.o

=== debian/changelog ===
can-utils (2020.11.0-1) unstable; urgency=medium

  * New upstream release 2020.11.0
  * Remove 0001-Rename-j-to-j1939-1.patch and various
    "Reformat-help-usage-output" patches: Applied upstream.
  * d/control,rules,copyright: New tool cansequence.
  * d/copyright: j* sources was renamed.

 -- Alexander GQ Gerasiov <gq@debian.org>  Sat, 26 Dec 2020 20:50:40 +0300

=== debian/control ===
--- 
+++ 
@@ -19,7 +19,7 @@
  This package contains some userspace utilities for Linux SocketCAN subsystem.
  .
  Basic tools to display, record, generate and replay CAN traffic:
- candump, canplayer, cansend, cangen, cansniffer.
+ candump, canplayer, cansend, cangen, cansniffer, cansequence.
  CAN access via IP sockets: canlogserver, bcmserver, socketcand.
  CAN in-kernel gateway configuration: cangw.
  CAN bus measurement and testing: canbusload, can-calc-bit-timing, canfdtest.

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,7 @@
 
 #bcmserver and log2long do not have -? option
 PROGRAMS = asc2log canbusload can-calc-bit-timing candump canfdtest \
-cangen cangw canlogserver canplayer cansend cansniffer \
+cangen cangw canlogserver canplayer cansend cansniffer cansequence \
 isotpdump isotpperf isotprecv isotpsend isotpserver isotpsniffer isotptun \
 j1939acd j1939cat j1939spy j1939sr testj1939 \
 log2asc \

## can-utils 2023.03

=== CMakeLists.txt ===
--- 
+++ 
@@ -9,10 +9,7 @@
   set(CMAKE_BUILD_TYPE Release)
 endif()
 
-check_symbol_exists(__GNU_LIBRARY__ "features.h" _GNU_SOURCE)
-if(_GNU_SOURCE)
-  add_definitions(-D_GNU_SOURCE)
-endif()
+add_definitions(-D_GNU_SOURCE)
 
 set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wall -Wno-parentheses")
 set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -fno-strict-aliasing")
@@ -21,6 +18,9 @@
 set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -DAF_CAN=PF_CAN")
 set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -DN_SLCAN=17")
 set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -DSCM_TIMESTAMPING_OPT_STATS=54")
+set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -DCLOCK_TAI=11")
+set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -DSO_TXTIME=61")
+set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -DSCM_TXTIME=SO_TXTIME")
 
 include_directories (.)
 include_directories (./include)
@@ -36,6 +36,7 @@
     cansequence
     log2asc
     log2long
+    slcanpty
 )
 
 set(PROGRAMS_J1939
@@ -49,7 +50,6 @@
 set(PROGRAMS
     ${PROGRAMS_CANLIB}
     bcmserver
-    can-calc-bit-timing
     canfdtest
     cangw
     cansniffer
@@ -62,7 +62,17 @@
     isotptun
     slcan_attach
     slcand
-    slcanpty
+)
+
+add_executable(can-calc-bit-timing
+    calc-bit-timing/can-calc-bit-timing.c
+)
+
+add_executable(mcp251xfd-dump
+    mcp251xfd/mcp251xfd-dev-coredump.c
+    mcp251xfd/mcp251xfd-dump.c
+    mcp251xfd/mcp251xfd-main.c
+    mcp251xfd/mcp251xfd-regmap.c
 )
 
 if(NOT ANDROID)

=== Makefile ===
--- 
+++ 
@@ -46,11 +46,15 @@
 CFLAGS := -O2 -Wall -Wno-parentheses
 
 CPPFLAGS += \
+	-I. \
 	-Iinclude \
 	-DAF_CAN=PF_CAN \
 	-DPF_CAN=29 \
 	-DSO_RXQ_OVFL=40 \
 	-DSCM_TIMESTAMPING_OPT_STATS=54 \
+	-DCLOCK_TAI=11 \
+	-DSO_TXTIME=61 \
+	-DSCM_TXTIME=SO_TXTIME \
 	-D_FILE_OFFSET_BITS=64 \
 	-D_GNU_SOURCE
 
@@ -96,30 +100,30 @@
 	cansniffer \
 	log2asc \
 	log2long \
+	mcp251xfd-dump \
 	slcanpty
 
 all: $(PROGRAMS)
 
 clean:
-	rm -f $(PROGRAMS) *.o
+	rm -f $(PROGRAMS) *.o mcp251xfd/*.o
 
 install:
 	mkdir -p $(DESTDIR)$(PREFIX)/bin
 	cp -f $(PROGRAMS) $(DESTDIR)$(PREFIX)/bin
 
-distclean:
-	rm -f $(PROGRAMS) $(LIBRARIES) *.o *~
+distclean: clean
+	rm -f $(PROGRAMS) $(LIBRARIES) *~
 
 asc2log.o:	lib.h
-canbusload.o:	lib.h
 candump.o:	lib.h
 cangen.o:	lib.h
 canlogserver.o:	lib.h
 canplayer.o:	lib.h
 cansend.o:	lib.h
-cansequence.o:	lib.h
 log2asc.o:	lib.h
 log2long.o:	lib.h
+slcanpty.o:	lib.h
 j1939acd.o:	libj1939.h
 j1939cat.o:	libj1939.h
 j1939spy.o:	libj1939.h
@@ -136,9 +140,16 @@
 cansequence:	cansequence.o	lib.o
 log2asc:	log2asc.o	lib.o
 log2long:	log2long.o	lib.o
+slcanpty:	slcanpty.o	lib.o
 j1939acd:	j1939acd.o	libj1939.o
 j1939cat:	j1939cat.o	libj1939.o
 j1939spy:	j1939spy.o	libj1939.o
 j1939sr:	j1939sr.o	libj1939.o
 testj1939:	testj1939.o	libj1939.o
 canbusload:	canbusload.o	canframelen.o
+
+can-calc-bit-timing: calc-bit-timing/can-calc-bit-timing.o
+	$(CC) $(LDFLAGS) $^ $(LDLIBS) -o $@
+
+mcp251xfd-dump: mcp251xfd/mcp251xfd-dev-coredump.o mcp251xfd/mcp251xfd-dump.o mcp251xfd/mcp251xfd-main.o mcp251xfd/mcp251xfd-regmap.o
+	$(CC) $(LDFLAGS) $^ $(LDLIBS) -o $@

=== debian/changelog ===
can-utils (2023.03-1) unstable; urgency=medium

  [ Debian Janitor ]
  * debian/copyright: use spaces rather than tabs to start continuation lines.
  * Bump debhelper from old 12 to 13.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Drop unnecessary dependency on dh-autoreconf.
  * Use canonical URL in Vcs-Browser.

  [Alexander GQ Gerasiov]
  * New upstream release 2023.03 (Closes: #998877)
  * Remove 0000-debian-build-fixup.patch
  * Add 0000-do-not-use-bundled-include.patch
  * Add 0000-do-not-build-mcp251xfd.patch
  * d/copyright: Update copyrights.

 -- Alexander GQ Gerasiov <gq@debian.org>  Sun, 19 Mar 2023 18:56:25 +0200

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,11 @@
 Section: net
 Priority: optional
 Maintainer: Alexander GQ Gerasiov <gq@debian.org>
-Build-Depends: debhelper-compat (= 12), help2man
+Build-Depends: debhelper-compat (= 13), help2man
 Standards-Version: 4.1.3
 Homepage: https://github.com/linux-can/can-utils
 Vcs-Git: https://salsa.debian.org/debian/can-utils.git
-Vcs-Browser: https://salsa.debian.org/debian/can-utils.git
+Vcs-Browser: https://salsa.debian.org/debian/can-utils
 
 Package: can-utils
 Architecture: linux-any

=== debian/rules ===
--- 
+++ 
@@ -19,7 +19,7 @@
 	$(HELP2MAN) --no-info --no-discard-stderr --help-option="-?" --version-string="$< $(PACKAGE_VERSION)" ./$< > $@
 
 %:
-	dh $@ --with autoreconf
+	dh $@
 
 override_dh_auto_clean:
 	rm -f $(MANPAGES)

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/<project>-$1\.tar\.gz/ \
  https://github.com/linux-can/can-utils/tags .*/v?(\d\S+)\.tar\.gz
